Package org.apache.commons.codec.language

# Class Caverphone

java.lang.Object
org.apache.commons.codec.language.Caverphone

All Implemented Interfaces:
  `Encoder`, `StringEncoder`

@Deprecated public class Caverphone extends Object implements StringEncoder
Deprecated.
1.5 Replaced by `Caverphone2`, will be removed in 2.0.
Encodes a string into a Caverphone 2.0 value. Delegate to a `Caverphone2` instance. This is an algorithm created by the Caversham Project at the University of Otago. It implements the Caverphone 2.0 algorithm:

Since:
  1.4
See Also:
  - Wikipedia - Caverphone
  - Caverphone 2.0 specification

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Caverphone()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `caverphone(String source)`
  Deprecated.
  Encodes the given String into a Caverphone value.
  `Object`
  `encode(Object obj)`
  Deprecated.
  Encodes an Object using the caverphone algorithm.
  `String`
  `encode(String str)`
  Deprecated.
  Encodes a String using the Caverphone algorithm.
  `boolean`
  `isCaverphoneEqual(String str1, String str2)`
  Deprecated.
  Tests if the caverphones of two strings are identical.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Caverphone

    public Caverphone()
    Deprecated.

- ## Method Details

  - ### caverphone

    public String caverphone(String source)
    Deprecated.
    Encodes the given String into a Caverphone value.
    Parameters:
      `source` - String the source string
    Returns:
      A caverphone code for the given String

  - ### encode

    public Object encode(Object obj) throws EncoderException
    Deprecated.
    Encodes an Object using the caverphone algorithm. This method is provided in order to satisfy the requirements of the Encoder interface, and will throw an EncoderException if the supplied object is not of type `String`.
    Specified by:
      `encode` in interface `Encoder`
    Parameters:
      `obj` - Object to encode
    Returns:
      An object (or type `String`) containing the caverphone code which corresponds to the String supplied.
    Throws:
      `EncoderException` - if the parameter supplied is not of type `String`.

  - ### encode

    public String encode(String str)
    Deprecated.
    Encodes a String using the Caverphone algorithm.
    Specified by:
      `encode` in interface `StringEncoder`
    Parameters:
      `str` - String object to encode
    Returns:
      The caverphone code corresponding to the String supplied

  - ### isCaverphoneEqual

    public boolean isCaverphoneEqual(String str1, String str2)
    Deprecated.
    Tests if the caverphones of two strings are identical.
    Parameters:
      `str1` - First of two strings to compare
      `str2` - Second of two strings to compare
    Returns:
      `true` if the caverphones of these strings are identical, `false` otherwise.